Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAccessibleObject

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QAccessible
                  com.trolltech.qt.gui.QAccessibleInterface
                      com.trolltech.qt.gui.QAccessibleObject

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QAccessibleWidget

    public abstract class QAccessibleObject

extends QAccessibleInterface

The `QAccessibleObject` class implements parts of the `QAccessibleInterface` for `QObjects`. This class is mainly provided for convenience. All subclasses of the `QAccessibleInterface` that provide implementations of non-widget objects should use this class as their base class.

See also:
  `QAccessible`, and `QAccessibleWidget`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QAccessibleInterface
`QAccessibleInterface.Target`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QAccessible
`QAccessible.Action, QAccessible.Event, QAccessible.Method, QAccessible.Relation, QAccessible.RelationFlag, QAccessible.Role, QAccessible.State, QAccessible.StateFlag, QAccessible.Text`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QAccessibleObject(QObject object)` Creates a `QAccessibleObject` for `object`.

Method Summary
`static QAccessibleObject` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QAccessibleObject instance pointed to by `nativePointer`.

Methods inherited from class com.trolltech.qt.gui.QAccessibleInterface
`actionText, childAt, childCount, doAction, indexOfChild, invokeMethod, isValid, navigate, object, rect, relationTo, role, setText, state, supportedMethods, text, userActionCount`

Methods inherited from class com.trolltech.qt.gui.QAccessible
`isActive, queryAccessibleInterface, setRootObject, updateAccessibility`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAccessibleObject

    public QAccessibleObject(QObject object)

  Creates a `QAccessibleObject` for `object`.

Method Detail

### fromNativePointer

    public static QAccessibleObject fromNativePointer(QNativePointer nativePointer)

  This method returns the QAccessibleObject instance pointed to by `nativePointer`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD